Package org.apache.felix.http.base.internal.runtime.dto

## Class ListenerDTOBuilder

- java.lang.Object
- - org.apache.felix.http.base.internal.runtime.dto.ListenerDTOBuilder

    public final class ListenerDTOBuilder
    extends Object

### Constructor Summary

Constructors
`ListenerDTOBuilder()`

### Method Summary

All Methods Static Methods Concrete Methods
`static org.osgi.service.http.runtime.dto.ListenerDTO` `build​(ListenerHandler handler, int reason)`
`static org.osgi.service.http.runtime.dto.ListenerDTO` `build​(ListenerInfo info, int reason)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ListenerDTOBuilder

    public ListenerDTOBuilder()

### Method Detail

#### build

    public static org.osgi.service.http.runtime.dto.ListenerDTO build​(ListenerInfo info,
                                                                      int reason)

#### build

    public static org.osgi.service.http.runtime.dto.ListenerDTO build​(ListenerHandler handler,
                                                                      int reason)